summarylogtreecommitdiffstats
path: root/parsoid.install
diff options
context:
space:
mode:
Diffstat (limited to 'parsoid.install')
-rw-r--r--parsoid.install41
1 files changed, 41 insertions, 0 deletions
diff --git a/parsoid.install b/parsoid.install
new file mode 100644
index 000000000000..7f739124a41e
--- /dev/null
+++ b/parsoid.install
@@ -0,0 +1,41 @@
+# Colored makepkg-like functions
+all_off="$(tput sgr0)"
+bold="${all_off}$(tput bold)"
+blue="${bold}$(tput setaf 4)"
+yellow="${bold}$(tput setaf 3)"
+
+msg_blue() {
+ printf "${blue}==>${bold} $1${all_off}\n"
+}
+
+note() {
+ printf "${blue}==>${yellow} NOTE:${bold} $1${all_off}\n"
+}
+
+_update() {
+ if ! getent passwd parsoid &>/dev/null; then
+ msg_blue "Adding user 'parsoid'"
+ useradd -m -r -U -d /usr/share/webapps/parsoid -s /bin/false parsoid &>/dev/null
+ chown -R parsoid /usr/share/webapps/parsoid
+ chgrp -R parsoid /usr/share/webapps/parsoid
+ fi
+}
+
+post_install() {
+ _update
+ echo ">> Before run Parsoid, modify /usr/share/webapps/parsoid/config.yaml ."
+ echo ">> Reference comments in this file for help ."
+}
+
+post_upgrade() {
+ _update
+ note "Parsoid now use 'config.yaml' as config file."
+}
+
+post_remove() {
+ if getent passwd parsoid &>/dev/null; then
+ msg_blue "Removing user 'parsoid'"
+ userdel -rf parsoid &>/dev/null
+ fi
+}
+